import React, { useEffect, useRef, useMemo } from 'react'
import * as echarts from '@/native/ec-canvas/echarts';

function initChart(canvas, width, height, dpr) {
  const chart = echarts.init(canvas, null, {
    width: width,
    height: height,
    devicePixelRatio: dpr // new
  });
  canvas.setChart(chart);
  return chart;
}

export default (props) => {
  const { options } = props
  const chartRef = useRef()
  const ec = useMemo(() => {
    const onInit = (...args) => {
      const chart = initChart(...args)
      chartRef.current = chart
      return chart
    }

    return { onInit }
  }, [])

  useEffect(() => {
    if (options && chartRef.current) {
      chartRef.current.setOption(options);
    }
  }, [options])

  return (
    <ec-canvas ec={ec} />
  )
}
