import React, { useEffect, useState } from 'react'
import Chart from '@/components/Chart'

export default (props) => {
  const { dataSource } = props

  const [options, setOptions] = useState()

  useEffect(() => {
    const data = [[],[]];
    (dataSource || []).forEach((it) => {
      const dt = it.coordinate.length >= 10 ? it.coordinate.substring(5) : it.coordinate

      data[0].push(dt)
      data[1].push(it.customerNum)
    })
    setOptions({
      xAxis: {
        type: 'category',
        data: data[0],
      },
      yAxis: {
        type: 'value',
      },
      series: [{
        type: 'line',
        smooth: true,
        data: data[1],
      }],
      color: ['#5470c6'],
    });
  }, [dataSource])

  return (
    <Chart options={options} />
  )
}
