import { useState, useEffect } from 'react'
import { getChannelLineChat } from '@/services/agent'
import { fillTime, cutDays, cutMonths } from '../utils'

const now = new Date()

export default function useReport(buildingId) {
  const [statType, setStatType] = useState('day')
  const [custType, setCustType] = useState('new')
  const [chartData, setChartData] = useState([])

  useEffect(() => {
    if (buildingId) {
      const startDate = statType === 'month' ? cutMonths(now, 6) : cutDays(now, 7)
      getChannelLineChat({
        buildingId,
        type: statType,
        customerType: custType,
        startDate: fillTime(startDate.toJSON().substring(0, 10), true),
        endDate: fillTime(now.toJSON().substring(0, 10), false),
      }).then((res) => {
        setChartData(res || [])
      })
    }
  }, [buildingId, statType, custType])

  return [statType, setStatType, custType, setCustType, chartData]
}
