import { useState, useEffect } from 'react'
import { getChannelRank } from '@/services/agent'
import { fillTime } from '../utils'

const now = new Date()

export default function useRank(buildingId) {
  const [rankDateRange, setRankDateRange] = useState([now.toJSON().substring(0, 10), now.toJSON().substring(0, 10)])
  const [rankList, setRankList] = useState([])

  useEffect(() => {
    if (buildingId) {
      const [startDate, endDate] = rankDateRange
      getChannelRank({
        buildingId,
        startDate: fillTime(startDate, true),
        endDate: fillTime(endDate, false),
      }).then((res) => {
        setRankList(res || [])
      })
    }
  }, [buildingId, rankDateRange])

  return [rankDateRange, setRankDateRange, rankList]
}
