import { useState, useEffect } from 'react'
import { getChannelStatReport } from '@/services/agent'
import { fillTime } from '../utils'

const now = new Date()

export default function useReport(buildingId) {
  const [reportDateRange, setReportDateRange] = useState([now.toJSON().substring(0, 10), now.toJSON().substring(0, 10)])
  const [reportInfo, setReportInfo] = useState({})

  useEffect(() => {
    if (buildingId) {
      const [startDate, endDate] = reportDateRange
      getChannelStatReport({
        buildingId,
        startDate: fillTime(startDate, true),
        endDate: fillTime(endDate, false),
      }).then((res) => {
        setReportInfo(res || {})
      })
    }
  }, [buildingId, reportDateRange])

  return [reportDateRange, setReportDateRange, reportInfo]
}
