

const padMonth = m => m > 9 ? m : `0${m}`

/**
 * 补齐 ISO 的时间
 * @param {*} dt 
 * @param {*} isStart 
 * @returns 
 */
export function fillTime(dt, isStart) {
  const tm = isStart ? '00:00:00.000' : '23:59:59.999'
  return `${dt}T${tm}Z`
} 

/**
 * 日期减去天数, 并返回结果的凌晨
 * @param {*} dt 
 * @param {*} days 
 * @returns 
 */
export function cutDays(dt, days) {
  const ret = new Date(new Date(dt).valueOf() - days * 24 * 3600 * 1000)
  return new Date(ret.toJSON().substring(0, 10))
}

/**
 * 日期减去月数, 并返回结果月的第一天的凌晨
 * @param {*} dt 
 * @param {*} months 
 * @returns 
 */
export function cutMonths(dt, months) {
  const origin = new Date(dt)
  const mon = origin.getMonth() + 1
  const startMonth = mon - months + 1
  if (startMonth <= 0) {
    const startYear = origin.getFullYear() - 1
    return new Date(`${startYear}-${padMonth(startMonth + 12)}-01`)
  } else {
    return new Date(`${origin.getFullYear()}-${padMonth(startMonth)}-01`)
  }
}
